# Create a Video Preset

## &#x20;/v1/video\_presets

<mark style="color:green;">`POST`</mark> `https://api.uiza.sh/v1/video_presets`

#### Request Body

| Name         | Type   | Description                                                                                                        |
| ------------ | ------ | ------------------------------------------------------------------------------------------------------------------ |
| name         | string | The name of the video preset.                                                                                      |
| description  | string | Describes the content of the video preset. Useful to describe the profiles in the preset and talk about use cases. |
| profile\_ids | string | The identifier of the video profiles to be added to this preset. You can add multiple profile ids separated by `,` |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "2823437c-cd5f-4565-821a-93c55bea0107",
    "name": "thinhtran",
    "description": "Made by developer",
    "is_default": false,
    "profiles": [
        {
            "id": "9c1a5300-6281-11ea-883b-028fc5698662",
            "name": "720p H264 30fps High Latency Portrait",
            "segment_duration": 10,
            "orientation": "portrait",
            "video_profile": {
                "video_resolution": "720",
                "video_codec": "H264",
                "video_bitrate": "1500K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        }
    ],
    "created_at": "2020-03-12T09:34:41Z",
    "updated_at": "2020-03-12T09:34:41Z"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request POST 'https://api.uiza.sh/v1/video_presets' \
--header 'Authorization: uap-a1c559e57f5846d39ec50b2df062caf8-b1cef5b6' \
--data-raw '{
	"name": "Best preset for iPhone",
	"description": "Made by developer",
	"profile_ids": "abe71abb-6281-11ea-883b-028fc5698662,735299b7-5988-11ea-883b-028fc5698662"
}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2020-04-21-1/api-reference/video-presets/create-a-video-preset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
